phphomebrew

Error: [email protected] has been disabled because it is a versioned formula


I try to install [email protected] using brew. But, it return error because it is versioned formula. What is it?

command: brew install [email protected]

result: Error: [email protected] has been disabled because it is a versioned formula!


Solution

  • You can only install supported versions of PHP with brew. However, there is the tap shivammathur/php which can be used to install unsupported version of PHP.

    1. brew tap shivammathur/php
    2. brew install shivammathur/php/[email protected]
    3. brew link [email protected]

    The first step only needs to be done once. After adding the tap, you can install PHP version 5.6 - 8.2.